/*****************************************************************
	en25t80.h

	Copyright (C) 2010 S.Suwa <www.suwa-koubou.jp>

*****************************************************************/

#ifndef _EN25T80_
#define	_EN25T80_

void	en25t80_test(void);
void	read_id(unsigned char *id_buf);
void	read_mid(unsigned char *id_buf);
unsigned char	read_status(void);
void	write_status(unsigned char data);
void	read_data(unsigned long addr, unsigned short read_bytes, unsigned char *read_buf);
void	write_enable(void);
void	write_data(unsigned long addr, unsigned short write_bytes, unsigned char *write_buf);
void	sector_erase(unsigned long addr);
void	block_erase(unsigned long addr);
void	chip_erase(void);
void	erase_sub(unsigned char cmd, unsigned long addr);
void	deep_power_down(void);
void	release_deep(void);
void	read_otp_data(unsigned char *read_buf);
void	SpiEnable(void);
void	SpiDisable(void);

#endif

