/*****************************************************************
	rtc8564.h

	Copyright (C) 2010 S.Suwa <www.suwa-koubou.jp>

*****************************************************************/

#ifndef	_RTC8564_
#define _RTC8564_

#define	tm_SEC		0
#define	tm_MIN		1
#define	tm_HOUR		2
#define	tm_DAY		3
#define	tm_WDAY		4
#define	tm_MONTH	5
#define	tm_YEAR		6

// rtcc handling
void	rtc8564_test(void);
void	rtcInit(void);
void	rtcCont(int sw);
void	rtcWriteTime(unsigned char tm[]);
void	rtcReadTime(unsigned char tm[]);
void	rtcSetIntervalTimer(unsigned char val);
void	rtcClearIntervalTimer(void);

// I2C handling
void	i2cOpenStart(void);
void	i2cReStart(void);
void	i2cStopClose(void);
int	i2cSend(unsigned char data);
unsigned char	i2cRec(void);
void	i2cAckSend(void);
void	i2cNAckSend(void);

#endif

/*** end of rtc8564.h *******************************************/
